Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.xml
Class XMLStreamNormalizingReader

    java.lang.Object
      java.io.Reader
          org.apache.batik.util.io.NormalizingReader
              org.apache.batik.util.io.StreamNormalizingReader
                  org.apache.batik.xml.XMLStreamNormalizingReader

public class XMLStreamNormalizingReader
extends StreamNormalizingReader

This class represents a normalizing reader with encoding detection management.

Nested Class Summary

Nested classes inherited from class org.apache.batik.util.io.StreamNormalizingReader
`StreamNormalizingReader.ASCIIDecoderFactory, StreamNormalizingReader.CharDecoderFactory, StreamNormalizingReader.ISO_8859_1DecoderFactory, StreamNormalizingReader.UTF16DecoderFactory, StreamNormalizingReader.UTF8DecoderFactory`

Field Summary

Fields inherited from class org.apache.batik.util.io.StreamNormalizingReader
`charDecoder, charDecoderFactories, column, line, nextChar`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`XMLStreamNormalizingReader(java.io.InputStream is, java.lang.String encod)` Creates a new XMLStreamNormalizingReader.

Methods inherited from class org.apache.batik.util.io.StreamNormalizingReader
`close, createCharDecoder, getColumn, getLine, read`

Methods inherited from class org.apache.batik.util.io.NormalizingReader
`read`

Methods inherited from class java.io.Reader
`mark, markSupported, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLStreamNormalizingReader

    public XMLStreamNormalizingReader(java.io.InputStream is,
                                      java.lang.String encod)
                               throws java.io.IOException

  Creates a new XMLStreamNormalizingReader.

Parameters:
  `is` - The input stream to read.
  `encod` - The character encoding to use if the auto-detection fail.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.